Subject: [Mg-t] Post winter TD blues

From: Douglas Ormrod <[email-masked]>
Date: Tue, 1 Nov 2016 01:21:51 +0000

Greetings from New Zealand

Long-time no chat, but long-time no problems.

My 51 TD has given very little trouble over the last 8 years, but now it is.

It has had very little use over the last six months, it was winter and I must be getting soft. Perhaps 4 outing and 50 miles. Summer now here.

Started OK at the weekend, but before I could take off it started running very rough - sounds like down to three or two cylinders and backfiring through muffler. Coaxed back into the garage on almost no power.

Took out plugs (which were new six months ago) and they were covered in soft black soot. New plugs are NKG B7ES, old ones were NKG B5ES. Cleaned them up, also cleaned all distributer contacts, rotor contact, and took out cleaned and reset the points. Checked cables for tightness. Started easily and took it for a 10 mile run - apart from a little missing at first all seemed fine once it warmed up. Power as normal.

Decided to take it work today (sun out), but same scenario, started and sounded OK, but after a few minutes ticking over started running very rough, backfiring and power gone almost gone. Plugs all black and sooty again and a couple of them quite wet. 

Only part of the ignition system that was not renewed at rebuild was the lucas sports coil - I did have it checked at the time.

So any suggestions as to the possible source of the problem?

Thanks in anticipation of your collective wisdom.

Douglas
______________________________________________

[email-masked]
Archive: http://www.team.net/archive